Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Class Client.ConnectionType

    java.lang.Object
      |
      +--java.lang.Enum
            |
            +--com.bea.httppubsub.Client.ConnectionType

public static class Client.ConnectionType
extends java.lang.Enum

The connection type indicates the client's connection type:

- long-polling messages are sent to the server as the message parameter of an application/x-www-form-urlencoded encoded POST request. Messages are sent to the client as unencapsulated body content of a POST response.
- callback-polling messages are sent to the server as the message parameter of an url encoded GET request. Responses are sent wrapped in a JavaScript callback in order to facilitate delivery. As specified by the JSON-P pseudo-protocol, the name of the callback to be triggered is passed to the server via the "callback" GET parameter.
- iframe OPTIONAL transport using the document content of a hidden iframe element.
- flash OPTIONAL transport using the capabilities of a flush browser plugin.

See Also:
  Serialized Form

Field Summary
`static Client.ConnectionType` | `CALLBACKPOLLING`
`static Client.ConnectionType` | `FLASH`
`static Client.ConnectionType` | `IFRAME`
`static Client.ConnectionType` | `LONGPOLLING`

Method Summary
`java.lang.String` | `getName()`
`static Client.ConnectionType` | `valueOf(java.lang.String name)`
`static Client.ConnectionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LONGPOLLING

    public static final Client.ConnectionType LONGPOLLING

### CALLBACKPOLLING

    public static final Client.ConnectionType CALLBACKPOLLING

### IFRAME

    public static final Client.ConnectionType IFRAME

### FLASH

    public static final Client.ConnectionType FLASH

Method Detail

### values

    public static Client.ConnectionType[] values()

### valueOf

    public static Client.ConnectionType valueOf(java.lang.String name)

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.